Bug 20710 - Update MARC21 frameworks to Update 26 (April 2018)
Summary: Update MARC21 frameworks to Update 26 (April 2018)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19835
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-04 13:51 UTC by Bernardo Gonzalez Kriegel
Modified: 2018-07-30 12:06 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018) (8.21 KB, patch)
2018-05-04 23:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018) (9.01 KB, patch)
2018-05-04 23:43 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018) (9.06 KB, patch)
2018-05-11 05:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018) (9.12 KB, patch)
2018-06-04 12:57 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2018-05-04 13:51:27 UTC
New update
Comment 1 Bernardo Gonzalez Kriegel 2018-05-04 23:18:34 UTC
Created attachment 75097 [details] [review]
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018)

This bug add update 26 changes.

Update 26
http://www.loc.gov/marc/bibliographic/bdapndxg.html

New subfields 377$3, 380$3, 381$3, 383$3, 730$4

Codes
    Map 007/04 'x' new
    Map 007/06 'c' renamed

No auth changes

To test:
1) Apply Bug 19835
2) Apply this patch
3) Reload marc21 bibliografic frameworks, check loads ok
4) Clean your browser cache
5) Edit a new bib record, fire 007 plugin,
    for Map, 04 position, check new 'x'
    for Map, 06 position, check renamed 'c'
Comment 2 Bernardo Gonzalez Kriegel 2018-05-04 23:43:58 UTC
Created attachment 75098 [details] [review]
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018)

This bug add update 26 changes.

Update 26
http://www.loc.gov/marc/bibliographic/bdapndxg.html

New subfields 377$3, 380$3, 381$3, 383$3, 730$4

Codes
    Map 007/04 'x' new
    Map 007/06 'c' renamed

No auth changes

To test:
1) Apply Bug 19835
2) Apply this patch
3) Reload marc21 bibliografic frameworks, check loads ok
4) Clean your browser cache
5) Edit a new bib record, fire 007 plugin,
    for Map, 04 position, check new 'x'
    for Map, 06 position, check renamed 'c'
Comment 3 Katrin Fischer 2018-05-11 05:44:29 UTC
Created attachment 75244 [details] [review]
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018)

This bug add update 26 changes.

Update 26
http://www.loc.gov/marc/bibliographic/bdapndxg.html

New subfields 377$3, 380$3, 381$3, 383$3, 730$4

Codes
    Map 007/04 'x' new
    Map 007/06 'c' renamed

No auth changes

To test:
1) Apply Bug 19835
2) Apply this patch
3) Reload marc21 bibliografic frameworks, check loads ok
4) Clean your browser cache
5) Edit a new bib record, fire 007 plugin,
    for Map, 04 position, check new 'x'
    for Map, 06 position, check renamed 'c'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-05-11 05:58:33 UTC
The changes to the plugin makes this include string changes, maybe better to split them next time.
Comment 5 Josef Moravec 2018-06-04 12:57:09 UTC
Created attachment 75769 [details] [review]
Bug 20710: Update MARC21 frameworks to Update 26 (April 2018)

This bug add update 26 changes.

Update 26
http://www.loc.gov/marc/bibliographic/bdapndxg.html

New subfields 377$3, 380$3, 381$3, 383$3, 730$4

Codes
    Map 007/04 'x' new
    Map 007/06 'c' renamed

No auth changes

To test:
1) Apply Bug 19835
2) Apply this patch
3) Reload marc21 bibliografic frameworks, check loads ok
4) Clean your browser cache
5) Edit a new bib record, fire 007 plugin,
    for Map, 04 position, check new 'x'
    for Map, 06 position, check renamed 'c'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2018-07-06 14:43:39 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-07-10 07:01:15 UTC
Pushed to 18.05.x for 18.05.02, although it's marked as an enhancement I believe librarians would see it as a bug that we don't reflect the current MARC21 recommendations.
Comment 8 Fridolin SOMERS 2018-07-30 12:05:37 UTC
Pushed to 17.11.x for 17.11.09
Comment 9 Fridolin SOMERS 2018-07-30 12:06:01 UTC
Enh not pushed to 17.05.x